Delulu documentation
Billing
15 endpoints in the Billing API group.
Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.
billing.subscription
GET
/v1/workspaces/{workspaceId}/billing/subscriptionParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"billingOwnerUserId": {
"type": "string"
},
"plan": {
"type": "string"
},
"status": {
"type": "string"
},
"currentPeriodStart": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"addons": {
"type": "object"
},
"billingInterval": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recurringAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"cancelAtPeriodEnd": {
"type": "boolean"
},
"canManageBilling": {
"type": "boolean"
}
},
"required": [
"id",
"billingOwnerUserId",
"plan",
"status",
"currentPeriodStart",
"currentPeriodEnd",
"addons",
"billingInterval",
"currency",
"recurringAmountMinor",
"cancelAtPeriodEnd",
"canManageBilling"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.usage
GET
/v1/workspaces/{workspaceId}/billing/usageParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"billingOwnerUserId": {
"type": "string"
},
"usage": {
"type": "object",
"properties": {
"socialAccounts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"monthlyPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaStorageBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiRequestsPerMonth": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"dmsSent": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"dmsSkipped": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptionsUsed": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"socialAccounts",
"monthlyPosts",
"mediaStorageBytes",
"apiRequestsPerMonth",
"dmsSent",
"dmsSkipped",
"transcriptionsUsed"
],
"additionalProperties": false
}
},
"required": [
"billingOwnerUserId",
"usage"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.transactions
GET
/v1/workspaces/{workspaceId}/billing/transactionsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
limit | query | no | value |
offset | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"providerTransactionId": {
"type": "string"
},
"amountMinor": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"currency": {
"type": "string"
},
"status": {
"type": "string"
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"providerTransactionId",
"amountMinor",
"currency",
"status",
"createdAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.portal
POST
/v1/workspaces/{workspaceId}/billing/portalParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"url": {
"type": "string"
}
},
"required": [
"url"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.checkout
POST
/v1/workspaces/{workspaceId}/billing/checkoutParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"plan": {
"type": "string",
"enum": [
"ECHO",
"VIBE"
]
},
"interval": {
"type": "string",
"enum": [
"MONTHLY",
"YEARLY"
]
},
"currency": {
"type": "string",
"enum": [
"USD",
"INR"
]
},
"returnPath": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"idempotencyKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"plan",
"interval",
"currency"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"url": {
"type": "string"
}
},
"required": [
"url"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.transfers
GET
/v1/workspaces/{workspaceId}/billing/transfersParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"fromUserId": {
"type": "string"
},
"toUserId": {
"type": "string"
},
"requestedByUserId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"accepted",
"cancelled",
"expired"
]
},
"expiresAt": {
"type": "string"
},
"acceptedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"fromUserId",
"toUserId",
"requestedByUserId",
"status",
"expiresAt",
"acceptedAt",
"createdAt"
],
"additionalProperties": false
}
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.request Transfer
POST
/v1/workspaces/{workspaceId}/billing/transfersParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"toUserId": {
"type": "string"
}
},
"required": [
"toUserId"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"fromUserId": {
"type": "string"
},
"toUserId": {
"type": "string"
},
"requestedByUserId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"accepted",
"cancelled",
"expired"
]
},
"expiresAt": {
"type": "string"
},
"acceptedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"fromUserId",
"toUserId",
"requestedByUserId",
"status",
"expiresAt",
"acceptedAt",
"createdAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.accept Transfer
POST
/v1/workspaces/{workspaceId}/billing/transfers/{id}/acceptParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"fromUserId": {
"type": "string"
},
"toUserId": {
"type": "string"
},
"requestedByUserId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"accepted",
"cancelled",
"expired"
]
},
"expiresAt": {
"type": "string"
},
"acceptedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"fromUserId",
"toUserId",
"requestedByUserId",
"status",
"expiresAt",
"acceptedAt",
"createdAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.cancel Transfer
POST
/v1/workspaces/{workspaceId}/billing/transfers/{id}/cancelParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"fromUserId": {
"type": "string"
},
"toUserId": {
"type": "string"
},
"requestedByUserId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"accepted",
"cancelled",
"expired"
]
},
"expiresAt": {
"type": "string"
},
"acceptedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"fromUserId",
"toUserId",
"requestedByUserId",
"status",
"expiresAt",
"acceptedAt",
"createdAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.cancellation
GET
/v1/workspaces/{workspaceId}/billing/cancellationParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.start Cancellation
POST
/v1/workspaces/{workspaceId}/billing/cancellation/startParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"reason": {
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"reason"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.accept Cancellation Offer
POST
/v1/workspaces/{workspaceId}/billing/cancellation/{id}/accept-offerParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.schedule Cancellation
POST
/v1/workspaces/{workspaceId}/billing/cancellation/{id}/scheduleParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"confirmation": {
"type": "string"
}
},
"required": [
"confirmation"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.reactivate Cancellation
POST
/v1/workspaces/{workspaceId}/billing/cancellation/{id}/reactivateParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}billing.abandon Cancellation
POST
/v1/workspaces/{workspaceId}/billing/cancellation/{id}/abandonParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"too_expensive",
"missing_features",
"switched_service",
"unused",
"customer_service",
"low_quality",
"too_complex",
"other"
]
},
{
"type": "null"
}
]
},
"comment": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"currentPeriodEnd": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"dataDeletionAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"impact": {
"type": "object",
"properties": {
"workspaces": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"members": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"posts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"scheduledPosts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automations": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"connections": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"apiKeys": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaItems": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"mediaBytes": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationContacts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"automationRuns": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"transcriptions": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"workspaceNames": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"workspaces",
"members",
"posts",
"scheduledPosts",
"automations",
"connections",
"apiKeys",
"mediaItems",
"mediaBytes",
"automationContacts",
"automationRuns",
"transcriptions",
"workspaceNames"
],
"additionalProperties": false
},
"canOfferSave": {
"type": "boolean"
},
"offerAmountMinor": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
},
"offerCurrency": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarReference": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"calendarBookingAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"recoveryUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"canManageCancellation": {
"type": "boolean"
}
},
"required": [
"id",
"status",
"reason",
"comment",
"currentPeriodEnd",
"dataDeletionAt",
"impact",
"canOfferSave",
"offerAmountMinor",
"offerCurrency",
"calendarReference",
"calendarBookingAt",
"recoveryUrl",
"canManageCancellation"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}